const colyseus = require("colyseus"),
    StarGazerState = require("../game/StarGazerState.js");

var deltaTime;

class StarGazerRoom extends colyseus.Room {

    onCreate(options) {
        console.log("in: onCreate");
        console.log(this);
        this.setSimulationInterval(this.update.bind(this));
        this.setState(new StarGazerState());
    }

    onJoin(client, options) {
        console.log("in: onJoin");
    }

    onMessage(client, message) {
        console.log("in: onMessage");
    }

    onLeave(client, consented) {
        console.log("in: onLeave");
    }

    onDispose() {
        console.log("in: onDispose");
    }

    startGame() {

    }

    update(deltaTime) {
        this.state.update(deltaTime);
    }



}


module.exports = StarGazerRoom;